- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# VertexProgram.cpp File Reference

`#include <osg/Notify>`
`#include <osg/GLExtensions>`
`#include <osg/VertexProgram>`
`#include <osg/State>`
`#include <osg/Timer>`
`#include <list>`
`#include <OpenThreads/ScopedLock>`
`#include <OpenThreads/Mutex>`

Include dependency graph for VertexProgram.cpp:

## Typedefs
typedef std::list< GLuint > | VertexProgramObjectList
typedef std::map< unsigned int, VertexProgramObjectList > | DeletedVertexProgramObjectCache
typedef buffered_value< ref_ptr< VertexProgram::Extensions > > | BufferedExtensions

## Typedef Documentation

typedef buffered_value< ref_ptr<VertexProgram::Extensions> > BufferedExtensions

typedef std::map<unsigned int,VertexProgramObjectList> DeletedVertexProgramObjectCache

typedef std::list<GLuint> VertexProgramObjectList